Computers

Fetch Computer

Fetch a computer

get
/v1/computer/{computerId}/fetch

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

computerIdstring* Required

The ID of the computer to retrieve

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

token: process.env.CHATBOTKIT_API_TOKEN!

})

const response = await cbk.computer.fetch(

computerId
)
{
"alias":"string",
"name":"string",
"description":"string",
"meta":"object",
"id":"string",
"createdAt":"number",
"updatedAt":"number",
"blueprintId":"string",
"contactId":"string",
"kind":"string",
"status":"string",
"lastActiveAt":"string"
}
The computer was retrieved successfully